Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

CoronaSDK 2013.1202 - Could Not Connect To Server
Started by Roberto.Kretschmer Sep 19 2013 09:37 PM

18 replies to this topic
[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

Roberto.Kretschmer

[GLOBAL: userInfoPane.html]
Roberto.Kretschmer
  • Starter
  • Pip
  • 1 posts
  • Newbie

Hi,

 

I'm trying to get started with Corona but with little success. I get the error:

 

"Could Not Connect To Server"

 

when I hit the login button in the register dialog that appears right after starting the SDK simulator.

 

I found multiple threads on this issue with no solution to the problem:

http://developer.coronalabs.com/forum/2012/11/17/could-not-connect-server-please-check-your-internet-connection

 

http://forums.coronalabs.com/topic/33500-could-not-connect-to-server-please-check-your-internet-connection-o-o/

 

http://developer.coronalabs.com/forum/2012/12/03/not-able-connect-internet

 

 

I tried to install other releases but the download page

https://developer.coronalabs.com/downloads/archive

seems to be broken too.

No matter on which link I click on that page (except for the 2013.1202) gives me a page not found error page.

 

Please help!

 

OS: Win 7 64bit

Corona release: CoronaSDK 2013.1202

 



[TOPIC: post.html]
#2

shish100

[GLOBAL: userInfoPane.html]
shish100
  • Starter
  • Pip
  • 1 posts
  • Newbie

Hi everyone I am having the same problem whenever I try to login using the simulator to my corona a/c its giving me this error can you help me with this problem, I don't know what the actual problem is as my Internet is working absolutely fine.

I tried to install the older version too but I am still suffering with the same problem.

 

"could not connect to the server. Please check your Internet connection."

 

Thank you 

Ashish Ranjan



[TOPIC: post.html]
#3

Tom

[GLOBAL: userInfoPane.html]
Tom
  • Corona Staff
  • 1,396 posts
  • Jedi

The error indicates that your computer cannot connect to Corona Labs servers. Has this worked in the past or is this the first time trying to connect with the Corona Simulator?

 

If this is the first time, you should check your firewall settings to make sure it's not blocking the Simulator. The simulator doesn't work with a proxy that requires a logon.

 

Generally, if you can access developer.coronalabs.com using IE, the Corona Simulator should be able to access our servers.



[TOPIC: post.html]
#4

ivanjelusic034

[GLOBAL: userInfoPane.html]
ivanjelusic034
  • Starter
  • Pip
  • 3 posts
  • Newbie

After disabling my Firewall nothing new acctually happened, same problem remains.



[TOPIC: post.html]
#5

livefromdublin

[GLOBAL: userInfoPane.html]
livefromdublin
  • Starter
  • Pip
  • 2 posts
  • Newbie

Same problem happened to me...any solution?



[TOPIC: post.html]
#6

ivanjelusic034

[GLOBAL: userInfoPane.html]
ivanjelusic034
  • Starter
  • Pip
  • 3 posts
  • Newbie

I got a solution !

 

Go to Internet options, go to "Connections" tab and make sure you checked "never dial  connection", after that go to "LAN  settings" below, in newly opened window make sure that only bracket checked is "Automatically detected settings". Next thing you wanna do is go to "Advanced" tab and click "Reset button". Also make sure your firewall is turned off. 

 

That acctualy solved my problem !

If any Q`s, hit mi on ivanjelusic034@gmail.com



[TOPIC: post.html]
#7

livefromdublin

[GLOBAL: userInfoPane.html]
livefromdublin
  • Starter
  • Pip
  • 2 posts
  • Newbie

Thank you so much ivanjelusic034.. It's finally worked (I tried 2 times just you said, disabled Avira Realtime protection and rebooted win..at the end Corona found the server connection).. 

 

:)



[TOPIC: post.html]
#8

ivanjelusic034

[GLOBAL: userInfoPane.html]
ivanjelusic034
  • Starter
  • Pip
  • 3 posts
  • Newbie

Glad I can help ! :)



[TOPIC: post.html]
#9

uysuntray

[GLOBAL: userInfoPane.html]
uysuntray
  • Starter
  • PipPipPip
  • 31 posts
  • Advanced Member

Hi! Tom, it seem to be something wrong with the build on corona 2013.1202 version today, as everything i test on simulator is working fine but after build and get it on device my app got so many error, it seem the build is point at the newest version of corona build only. please help!



[TOPIC: post.html]
#10

Tom

[GLOBAL: userInfoPane.html]
Tom
  • Corona Staff
  • 1,396 posts
  • Jedi

Are you using Windows or Mac and what platform are you trying to build for (iOS or Android). If you build the DeviceInfo sample (in the /Hardware folder), it will show you the build number used to build the app. Nothing was intentionally changed with build 1202 so it and all the previously releases should be fine. BTW, we posted a public build of 1262 as the latest build for those users still using graphics 1.0.



[TOPIC: post.html]
#11

uysuntray

[GLOBAL: userInfoPane.html]
uysuntray
  • Starter
  • PipPipPip
  • 31 posts
  • Advanced Member

@Tom, I'm using Mac to build for IOS platform, it still occur the same issue today, while in simulator everything fine, but on device it's totally different and error. This issue used to happen when i test the app build with corona higher than 1202 version, the game did not work as this current error but when i turn to build with 1202 everything is back to normal, just yesterday i build to test my game again with 1202 the issue happened as the higher version build.



[TOPIC: post.html]
#12

Tom

[GLOBAL: userInfoPane.html]
Tom
  • Corona Staff
  • 1,396 posts
  • Jedi

I just built DeviceInfo and HelloWorld sample apps with build 1202 and ran it on an iPad and they looked fine. DeviceInfo told me it was build 2013.1202. Did you try building those sample apps to see if they work correctly? That will tell you if it's picking the correct build template.

 

If you're seeing problems with your own app and not the samples, I would say you changed something in your app that is causing the errors. We don't change (or touch) the old build templates and the builds should work the same unless an update to Xcode makes it incompatible with the build/install process. I'm using Mac OSX 10.8 and Xcode 5.0 for my builds and they are running fine.

 

I would suggest that you work on updating your code so it works with Graphics 2.0 or at least get it working on Graphics 2.0 with the v1 compatibility flag. Apple has changed the rules and you won't be able to submit an app made with build 1202. You may still be able to use 1262 (our last Graphics 1 build), but soon Apple will not allow that because of the iOS7/Xcode 5.1 requirements.



[TOPIC: post.html]
#13

uysuntray

[GLOBAL: userInfoPane.html]
uysuntray
  • Starter
  • PipPipPip
  • 31 posts
  • Advanced Member

Ok thank you Tom, All because of Apple not allow graphic 1.0 on Xcode 5.1 only, that to cause my game error.



[TOPIC: post.html]
#14

Tom

[GLOBAL: userInfoPane.html]
Tom
  • Corona Staff
  • 1,396 posts
  • Jedi

I wasn't saying Xcode 5.1 was causing your error, because you never mentioned what  your error was. I was just saying that we haven't touched our templates for the builds so nothing has changed on our side. We use the Xcode tools to sign the app and to run the Xcode Simulator.

 

The reason why you can't submit an app built with build 1202 is because it still builds for iOS 6.1 and Apple is now requiring builds targeting iOS 7.0. Build 1262 does build for iOS 7.0 but it's built with Xcode 5.0 and Apple has been rejecting apps that don't use Xcode 5.1.1.

 

We can't go back and change previous builds, which is why I suggested moving your code to Graphics 2.0. You don't want to finished your app and find out that you can't submit it to the app store.



[TOPIC: post.html]
#15

uysuntray

[GLOBAL: userInfoPane.html]
uysuntray
  • Starter
  • PipPipPip
  • 31 posts
  • Advanced Member

here the console log error from device

Final/FullVersion/PhotoChamp_Ipad/SpriteGrabber.lua:193: attempt to index global 'sprite' (a nil value)
 stack traceback:
  [C]: ?
  ..._Final/FullVersion/PhotoChamp_Ipad/SpriteGrabber.lua:193: in function 'grabSheet'
  ...nal/FullVersion/PhotoChamp_Ipad/welcomefireworks.lua:17: in function '_listener'
  ?: in function <?:141>
  ?: in function <?:218>
Jun 11 08:45:00 unknown PhotoChamp[362] <Warning>: Runtime error
 
 stack traceback:
  [C]: ?
  ..._Final/FullVersion/PhotoChamp_Ipad/SpriteGrabber.lua:193: in function 'grabSheet'
  ...nal/FullVersion/PhotoChamp_Ipad/welcomefireworks.lua:17: in function '_listener'
  ?: in function <?:141>
  ?: in function <?:218>
 
this is what i think, it is because of i build the graphic 1.0 on Xcode 5.1 that why in the simulator running fine but on device it not working at all.


[TOPIC: post.html]
#16

Tom

[GLOBAL: userInfoPane.html]
Tom
  • Corona Staff
  • 1,396 posts
  • Jedi

No, it has nothing to do with Xcode 5.1. You have a code problem in your app.

 

Final/FullVersion/PhotoChamp_Ipad/SpriteGrabber.lua:193: attempt to index global 'sprite' (a nil value)
 stack traceback:
 
This shows a runtime error in line 193 with the variable/object "sprite". 
 
It's possible to have code run fine on the simulator but fail on a device because of timing differences. You need to debug the problem before jumping to conclusions about the cause.


[TOPIC: post.html]
#17

uysuntray

[GLOBAL: userInfoPane.html]
uysuntray
  • Starter
  • PipPipPip
  • 31 posts
  • Advanced Member

hmmm but the same code build with android is ok, i already test with android device there nothing wrong, the code above error because of spriteGrabber need to change some area in graphic 2.0, but it working fine on 1202 just on ios device it never work



[TOPIC: post.html]
#18

Tom

[GLOBAL: userInfoPane.html]
Tom
  • Corona Staff
  • 1,396 posts
  • Jedi

It is very common for code to work on one platform but fail on another platform because of timing differences if it's not handled correctly in your code. You could even find errors when using a different device on the same platform (e.g., Android).

 
Your build is not using Graphics 2.0 so don't assume that the build is wrong and that is causing your error. You need to troubleshoot the problem and determine why your object is nil. This is just basic programming and you have to be able to debug issues like this to determine that your code is not the cause of the problem.


[TOPIC: post.html]
#19

uysuntray

[GLOBAL: userInfoPane.html]
uysuntray
  • Starter
  • PipPipPip
  • 31 posts
  • Advanced Member

Ok, Thank you Tom, I found it, and everything is fine now, it's all about spriteGrabber it require the sprite.lua file with currently build,
but before I did not need to have sprite.lua in my project with 1202, but now  even 1202 require this sprite.lua in the project




[topic_controls]
[/topic_controls]